none
SharePoint Server 2010 - Support WMF 4.0 RRS feed

  • Pregunta

  • He visto que existen varios blog de Microsoft donde indican que se puede coexistir con el WMF 4.0

    https://blogs.technet.microsoft.com/mspfe/2012/09/05/sharepoint-2010-management-shell-net-4-0-runtime-version-error/

    Sin embargo en documentación del Developer de Microsoft menciona que en este tiempo no es posible que corran la aplicación SharEPoint 2010 y el WMF 4.0.

    https://devblogs.microsoft.com/powershell/windows-management-framework-4-0-is-now-available/

    Por favor aclarar este punto para proceder con una actualización de WMF 4.0 en un entorno SharEPoint Server 2010 Sp2.

    miércoles, 27 de febrero de 2019 21:59

Todas las respuestas

  • Hola 

    Gracias por levantar tu consulta en los foros de TechNet. Con respecto al tema de WMF 4.0, usted puede ejecutar la consola en esta versión sin ningún problema, sin embargo para ocupar la consola de SharePoint 2010 Management Shell deberá de correrlo en la versión 2.0, ya que SharePoint requiere de esa versión para ocupar la consola. Este comportamiento es por diseño de producto de SharePoint Server 2010, puede revisar esta información adicional para mitigarlo (adicional del workarround que usted menciona). Esto sucede porque Net 4.5 viene con PowerShell 3.0 y esta versión no la admite la administración de SharePoint 2010 PowerShell debido a que PowerShell 3.0 carga CLR 4.5 y SharePoint 2010 necesita CLR 3.5 (AKA 2.0).

    https://support.microsoft.com/es-es/help/2796733/sharepoint-2010-management-shell-does-not-load-with-windows-powershell

    Gracias por usar los foros de TechNet.

    Pedro Alfaro

    jueves, 28 de febrero de 2019 16:12
  • Hola,

    En ambos casos no estamos hablando de documentación oficial de Microsoft como tal, sino de blogs publicados por empleados de Microsoft. Si me tuviese que guiar por uno de los dos, diría que el primero de los posts es el que se tiene que seguir...de todos modos: ¿Necesitas hacer esa actualización? Te lo comento sobre todo porque SP 2010 está en soporte extendido por lo que te recomiendo que las actualizaciones las pruebes primero en un entorno que no sea el de producción.

    Un saludo


    Juan Carlos Gonzalez Martin | Office Servers and Services MVP | Director revista CompartiMOSS: http://www.compartimoss.com | Blog:jcgonzalezmartin.wordpress.com/ Twitter: @jcgm1978

    sábado, 9 de marzo de 2019 11:16
  • Debido a que no hemos recibido alguna notificación que aún se esté presentando el problema que enuncias en tu consulta  y que la respuesta provista provee un amplio panorama y campo de acción sobre tu duda; vamos a considerar tu duda como resuelta debido a la respuesta apropiada proporcionada  y así proceder a calificar las misma como respuesta.

    No dudes en ampliar más sobre este tema si es que aún lo requirieras o de abrir una nueva consulta en caso de tener alguna situación o necesitarla con algún otro de los productos de Microsoft.

     

    Adicional le invito a consultar los siguientes recursos:

    Guía para formular preguntas en el foro

    Channel 9 - donde puedes encontrar una sección de:

     

    Gracias por usar los foros de TechNet.

    Erick Rivera

     ____

     

    Por favor recuerde "Marcar como respuesta" las respuestas que hayan resuelto su problema, es una forma común de reconocer a aquellos que han ayudado, y hace que sea más fácil para los otros visitantes encontrar la solución más tarde.

     

    Microsoft ofrece este servicio de forma gratuita, con la finalidad de ayudar a los usuarios y la ampliación de la base de datos de conocimientos relacionados con los productos y tecnologías de Microsoft.  

     

    Este contenido es proporcionado "tal cual" y no implica ninguna responsabilidad de parte de Microsoft.


    jueves, 16 de mayo de 2019 19:02